OpenVDB 5.1.0

Public Member Functions | List of all members
BinaryFilter< T1, T2, And > Class Template Reference

`#include <IndexFilter.h>`

## Public Member Functions
| BinaryFilter (const T1 &filter1, const T2 &filter2)
bool | initialized () const
template<typename LeafT >
void | reset (const LeafT &leaf)
template<typename IterT >
bool | valid (const IterT &iter) const

## Constructor & Destructor Documentation

## ◆ BinaryFilter()

BinaryFilter | ( | const T1 & | filter1,
|  | const T2 & | filter2
| ) |  |
| inline

## Member Function Documentation

## ◆ initialized()

bool initialized | ( |  | ) | const
| inline

## ◆ reset()

void reset | ( | const LeafT & | leaf | ) |
| inline

## ◆ valid()

bool valid | ( | const IterT & | iter | ) | const
| inline

The documentation for this class was generated from the following file:

- IndexFilter.h